package com.system.transfer.kingdee;

import com.system.utils.StringUtil;

/**
 * @author Inori
 */
public class KingDeeLogListInVo {

    /**
     * 日志名称
     */
    private String name;


    /**
     * 唯一标识
     */
    private String queueId;


    /**
     * 开始时间
     */
    private String dateFrom;


    /**
     * 结束时间
     */
    private String dateTo;


    /**
     * 开始耗时
     */
    private Integer costTimeFrom;


    /**
     * 结束耗时
     */
    private Integer costTimeTo;


    /**
     * 是否成功（0-失败，1-成功）
     */
    private String flag;


    /**
     * 页码
     */
    private Integer pageNo;


    /**
     * 每页数量
     */
    private Integer pageSize;


    private static final Integer DEFAULT_PAGE_NO = 1;
    private static final Integer DEFAULT_PAGE_SIZE = 20;


    public KingDeeLogListInVo() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getQueueId() {
        return queueId;
    }

    public void setQueueId(String queueId) {
        this.queueId = queueId;
    }

    public String getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(String dateFrom) {
        this.dateFrom = dateFrom;
    }

    public String getDateTo() {
        return dateTo;
    }

    public void setDateTo(String dateTo) {
        this.dateTo = dateTo;
    }

    public Integer getCostTimeFrom() {
        return costTimeFrom;
    }

    public void setCostTimeFrom(Integer costTimeFrom) {
        this.costTimeFrom = costTimeFrom;
    }

    public Integer getCostTimeTo() {
        return costTimeTo;
    }

    public void setCostTimeTo(Integer costTimeTo) {
        this.costTimeTo = costTimeTo;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public Integer getPageNo() {
        if (StringUtil.isNull(pageNo) || pageNo == -1) {
            return DEFAULT_PAGE_NO;
        }
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        if (StringUtil.isNull(pageSize) || pageSize == -1) {
            return DEFAULT_PAGE_SIZE;
        }
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }


}
